<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pearson Web Component</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />

    <link rel="stylesheet" href="https://unpkg.com/@pearson-ux/gravity-css" />

    <script type="text/javascript">
      if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
      } else {
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
      }
    </script>

    <script src="js/dist/pearson-icon.js"></script>
    <script src="js/dist/pearson-button-bar.js"></script>
  </head>

  <body>
  <div style="max-width:1280px; margin: 0 auto; display:flex; justify-content: flex-end">
    <pearson-buttonbar>
      <li data-text="Delete" slot="list">
        <button id="delete" class="gr-btn icon-btn-18">
          <pearson-icon icon="account" size="18"></pearson-icon>
        </button>
      </li>
      <li data-text="Edit" slot="list">
        <button id="edit"  class="gr-btn icon-btn-18 ">
          <pearson-icon icon="help" size="18"></pearson-icon>
        </button>
      </li>
      <li data-text="Bookmark" slot="list">
        <button id="bookmark" class="gr-btn icon-btn-18 ">
          <svg focusable="false" class="icon-18" aria-hidden="true">
            <path d="M13.25,3 C13.25,2.86192881 13.1380712,2.75 13,2.75 L5,2.75 C4.86192881,2.75 4.75,2.86192881 4.75,3 L4.75,14.3782563 L8.99999989,10.7660543 L13.25,14.3782563 L13.25,3 Z M8.99999989,13.0627457 L4.64761739,16.7619655 C4.22679536,17.1196347 3.59570351,17.0684392 3.23803431,16.6476172 C3.08437026,16.466821 3,16.2372758 3,15.9999998 L3,3 C3,1.8954305 3.8954305,1 5,1 L13,1 C14.1045695,1 15,1.8954305 15,3 L15,16 C15,16.5522847 14.5522847,17 14,17 C13.762724,17 13.5331788,16.9156297 13.3523826,16.7619657 L8.99999989,13.0627457 Z"></path>
          </svg>
        </button>
      </li>
      <li data-text="Download" slot="list">
        <button id="download" class="gr-btn icon-btn-18 ">
          <svg focusable="false" class="icon-18" aria-hidden="true">
            <path d="M15,12 C15,11.4477153 15.4477153,11 16,11 C16.5522847,11 17,11.4477153 17,12 L17,14.5 C17,15.8807119 15.8807119,17 14.5,17 L3.5,17 C2.11928813,17 1,15.8807119 1,14.5 L1,12 C1,11.4477153 1.44771525,11 2,11 C2.55228475,11 3,11.4477153 3,12 L3,14.5 C3,14.7761424 3.22385763,15 3.5,15 L14.5,15 C14.7761424,15 15,14.7761424 15,14.5 L15,12 Z"></path>
            <path d="M8,8.69922208 L8,1 C8,0.44771525 8.44771525,1.16477725e-14 9,1.15463195e-14 C9.55228475,1.14448664e-14 10,0.44771525 10,1 L10,8.70150263 L12.3972414,6.28004799 C12.7638946,5.9096914 13.3583569,5.9096914 13.7250101,6.28004799 C14.0916633,6.65040457 14.0916633,7.25087123 13.7250101,7.62122781 L9.66501324,11.7222326 C9.29836003,12.0925891 8.70389772,12.0925891 8.33724451,11.7222326 L4.27498991,7.61894726 C3.9083367,7.24859068 3.9083367,6.64812402 4.27498991,6.27776744 C4.64164312,5.90741085 5.23610543,5.90741085 5.60275864,6.27776744 L8,8.69922208 Z"></path>
          </svg>
        </button>
      </li>
    </pearson-buttonbar>
  </div>
    <script>
      const buttonbar = document.querySelector('pearson-buttonbar'),
        buttons = buttonbar.shadowRoot.querySelectorAll('button');

      buttons.forEach(button => {
        button.addEventListener('click', event=> {
          console.log(event.currentTarget)
        })
      })
    </script>
  </body>
</html>
